<?php
/**
 * qq钱包支付回调
 * User: liuyuzhen
 * Date: 2018/7/5
 * Time: 11:08
 * Description:
 */

include 'security.php';

date_default_timezone_set("Asia/Shanghai");
mb_internal_encoding("UTF-8");
define("APPLICATION_PATH", realpath(dirname(__FILE__) . '/../../'));
error_reporting(E_ALL);
define("APP_ENV",ini_get('yaf.environ'));
define("TIMESTAMP",time());
$app = new \Yaf\Application(APPLICATION_PATH . "/conf/application.ini");
$app->bootstrap();
$paymentService = \Business\Order\PaymentServiceModel::getInstance();
$_POST['notify_data'] = html_entity_decode($_POST['notify_data']);
$paymentService->updateOrderToPayedQQ();